#
# spec file for package phalanx (Version 22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         phalanx
Copyright:    GPL
Group:        Amusements/Games
Provides:     phalanx
Autoreqprov:  on
Version:      22
Release:      113
Source:       ftp://ftp.math.muni.cz/pub/math/people/Dobes/phalanx-22.tar.gz
Patch:        Phalanx-XXII.diff
BuildRoot:    %{_tmppath}/%{name}-root
Summary:      A chess program

%description
A quite strong chess playing program which uses opening book.

Authors:
--------
    Dusan Dobes <dobes@math.muni.cz>

SuSE series: fun

%prep
%setup -n Phalanx-XXII
%patch -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin/
mkdir -p $RPM_BUILD_ROOT/usr/share/phalanx/
install -s -m 0755 {x,}phalanx $RPM_BUILD_ROOT/usr/bin/
install -m 0644 eco.phalanx pbook.phalanx sbook.phalanx $RPM_BUILD_ROOT/usr/share/phalanx

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING HISTORY README
/usr/share/phalanx
/usr/bin/*

%changelog -n phalanx
* Mon Nov 20 2000 - pblaha@suse.cz
- create this pakage
